#include<stdio.h>
#include<stdlib.h>

void swap(int* x, int* y) {
	int z = *x;
	*x = *y;
	*y = z;
}

int main(int argc, char * argv[]) {
	int x = 10, y = 3;
	printf("x = %d; y = %d\n", x, y);
	swap(&x, &y);
	printf("x = %d; y = %d\n", x, y);
	return EXIT_SUCCESS;
}

